İçeriğe geç

Wan 2.5 Text to Image

Entegre et

Model kimliği wan-25-preview/text-to-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/wan-25-preview/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu istek: $0,05 50 API kredisi Bu sayfada çalıştır

API anahtarı al

Çağrı başına Çince ve İngilizce istemleri ve en fazla dört görseli destekleyen Wan 2.5 metinden görsele

Alibaba · Görsel

İlk sonucunuz burada görünecek

Aşağıda bir istek oluşturun ve API anahtarınızla çalıştırın. Çıktılar depolamamıza kopyalanır ve sonsuza kadar veya ücretsiz olarak 7 gün boyunca saklanır.

İstek oluştur

Kontroller model şemasından oluşturulur. Değerleri değiştirdikçe kod ve fiyat güncellenir.

•gerekli

2000 karakterle sınırlı, Çince veya İngilizce yazılmış görsel üretim talimatları.

image_size varsayılan square

Toplam piksel sayısı 768×768 ile 1440×1440 ve en-boy oranı 1:4 ile 4:1 arasında olan üretilen görsel boyutları. Boyutları doğrudan belirtin veya 'square' ya da 'landscape_16_9' gibi adlandırılmış bir hazır ayar seçin.

num_images varsayılan 1

1 ile 4 arasında görsel üretim sayısı.

Gelişmiş negative_prompt · seed · enable_prompt_expansion · enable_safety_checker

İstenmeyen içeriği belirten, 500 karakterle sınırlı negatif istem.

Üretimi tekrarlanabilir kılan seed. None olarak ayarlanması seed'in rastgele seçilmesini sağlar.

POST /run/wan-25-preview/text-to-image?wait=20 fiyat → $0,05
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/wan-25-preview/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu isteği çalıştır

Anahtarınız bu tarayıcıda kalır: yalnızca Doitong API'ye gönderilir ve yalnızca Hatırla seçeneğini işaretlerseniz localStorage'a kaydedilir. API anahtarı al

Wan 2.5 Text to Image hakkında

Çince veya İngilizce, en fazla 2000 karakterlik metin `prompt`larından görseller üretir. `num_images` 1 ile 4 arasındadır ve `image_size`, toplam piksel sayısı 768x768 ile 1440x1440 arasında olacak şekilde hazır ayarları veya açık boyutları kabul eder. Bir LLM ile istemi yeniden yazan istem genişletme varsayılan olarak açıktır. `negative_prompt` ve `seed` de kullanılabilir.

Parametreler

Kanonik adı veya yerel adı gönderin; ikisini birden göndermeyin. Kanonik adlar

AdTür Varsayılanİzin verilen Açıklama
promptgerekli
Türstring
2000 karakterle sınırlı, Çince veya İngilizce yazılmış görsel üretim talimatları.
negative_promptisteğe bağlı
Türstring | null
İstenmeyen içeriği belirten, 500 karakterle sınırlı negatif istem.
num_imagesisteğe bağlı num_outputs
Türinteger
Varsayılan1
1 – 4
1 ile 4 arasında görsel üretim sayısı.
image_sizeisteğe bağlı
Türobject
Varsayılansquare
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
Toplam piksel sayısı 768×768 ile 1440×1440 ve en-boy oranı 1:4 ile 4:1 arasında olan üretilen görsel boyutları. Boyutları doğrudan belirtin veya 'square' ya da 'landscape_16_9' gibi adlandırılmış bir hazır ayar seçin.
enable_prompt_expansionisteğe bağlı
Türboolean
Varsayılantrue
Kısa istemlerde daha iyi sonuçlar karşılığında ek işlem süresi kullanan LLM tabanlı istem yeniden yazma.
seedisteğe bağlı
Türinteger | null
Üretimi tekrarlanabilir kılan seed. None olarak ayarlanması seed'in rastgele seçilmesini sağlar.
enable_safety_checkeristeğe bağlı
Türboolean
Varsayılantrue
Kapalı ayarı hesap yetkilendirmesi gerektiren güvenlik denetimi anahtarı. Bu yetkilendirme olmadan ayardan bağımsız olarak her istek denetlenir; true denetleyiciyi etkinleştirir.
gerekli Kanonik ad, bu ad da kabul edilir

Çıktı

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "wan-25-preview/text-to-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 50,
    "usd": "0.05",
    "charged": 50,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "seeds": [
      42
    ],
    "actual_prompt": "A lone samurai standing on the edge of a cliff at twilight, overlooking a vast valley shrouded in mist. The sky burns with deep orange and purple hues from the setting sun, casting long, dramatic shadows. The samurai’s silhouette glows against the horizon, with their sword reflecting a glint of fading light. The overall style is hyper-realistic, cinematic, and moody, with dramatic contrast and atmospheric depth."
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Dosyalarınız, seçiminizHer outputs[].url, depolamamızdaki bir kopyadır: sonsuza kadar (GB-ay başına ücretli) veya ücretsiz olarak 7 gün boyunca, hesap ayarınızla ya da ?storage= ile saklanır.
Her modelde aynı yapıGörüntüler, video ve ses için type, url, content_type, width, height ve duration aynıdır. output, modelin kendi sonuç nesnesidir.
Çıktı alanları
images
array of object {url, content_type, file_name, file_size, width, height}Model tarafından oluşturulan görseller.
seeds
array of integerTek tek görselleri üretmek için kullanılan seed değerleri.
actual_prompt
string | nullYeniden yazma etkin olduğunda gerçekten kullanılan istem.

Daha fazla model: Metinden Görsele

AI aracıları için: bu sayfanın Markdown biçimi şurada: https://doitong.com/tr/developers/models/wan-25-preview/text-to-image.md. Tüm modeller ve kılavuzlar: https://doitong.com/developers/llms.txt